Update Project Deadline
PATCH
/api/data/projects/{project_id}/deadline
const url = 'https://example.com/api/data/projects/example/deadline';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"deadline":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/data/projects/example/deadline \ --header 'Content-Type: application/json' \ --data '{ "deadline": 1 }'Update the project’s deadline (unix timestamp seconds). Requires membership in the project. Pass null to clear the deadline.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project_id
required
Project Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Successful Response
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}